package com.secspace.sms

import android.annotation.SuppressLint
import android.app.Application
import android.content.Context
import com.simplemobiletools.commons.extensions.checkUseEnglish

class App : Application() {

    companion object {
        @SuppressLint("StaticFieldLeak")
        lateinit var APP_CONTEXT: Context
    }


    override fun onCreate() {
        super.onCreate()
        APP_CONTEXT = this
        initLog()

        checkUseEnglish()
    }

    private fun initLog() {
        com.secspace.log.Log.init(this)
        com.secspace.log.Log.setDebug(true)
    }

}
